<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:g="http://www.ihe.net/gazelle"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:gri="http://java.sun.com/jsf/composite/gri"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:gdk="http://www.ihe.net/gazellecdk"
	xmlns="http://www.w3.org/1999/xhtml">
	<a4j:commandButton id="addConfigButton" styleClass="gzl-btn-green"
		actionListener="#{confman.addConfiguration()}"
		rendered="#{identity.loggedIn}"
		value="#{messages['net.ihe.gazelle.xdstar.CreateRepositoryConfiguration']}"
		styleClass="commandButton" render="globalDiv" execute="@this" />
	<h:outputText
		value="#{messages['net.ihe.gazelle.xdstar.ToAddANewConfigurationYouHaveToLogginTheLoginAnd']}"
		rendered="#{!identity.loggedIn}" />
	<br />
	<br />
						
	#{confman.listAllconfigurations()}
	<h:outputText id="noConfigText"
		rendered="#{confman.availableSystemConfigurations == null}"
		value="#{messages['gazelle.xdrsrc.NoConfiguration']} #{messages['net.ihe.gazelle.xdstar.ForActor']} #{confman.selectedTab}" />

	<rich:dataTable id="configTable"
		rendered="#{confman.availableSystemConfigurations != null}"
		value="#{confman.availableSystemConfigurations}" var="currentConfig"
		render="ds">
		<g:column id="nameColumn" filterBy="#{currentConfig.name}"
			filterEvent="onkeyup" orderBy="#{currentConfig.name}"
			sortOrder="ascending">
			<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Name']}</ui:define>
			<h:outputText value="#{currentConfig.name}" />
		</g:column>
		<g:column id="systemNameColumn" filterBy="#{currentConfig.systemName}"
			filterEvent="onkeyup" orderBy="#{currentConfig.systemName}"
			sortOrder="ascending">
			<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.SystemName']}</ui:define>
			<h:outputText value="#{currentConfig.systemName}" />
		</g:column>
		<g:column id="urlColumn">
			<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.URL']}</ui:define>
			<h:outputText value="#{currentConfig.url}" />
		</g:column>
		<ui:insert name="additional_columns" />
		<g:column id="actionColumn" rendered="#{identity.loggedIn}">
			<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Action']}</ui:define>
			<center>
				<a4j:commandLink
					actionListener="#{confman.editSelectedConfiguration(currentConfig)}"
					execute="@this"
					render="globalDiv">
					<h:graphicImage id="editActionImage" value="/img/icons64/edit.gif"
						width="28" height="28" />
				</a4j:commandLink>
				<gdk:spacer width="5" />
				<a4j:commandLink
					actionListener="#{confman.copySelectedConfiguration(currentConfig)}"
					execute="@this"
					render="globalDiv">
					<h:graphicImage id="CopyActionImage"
						value="/img/icons64/editcopy.gif" width="28" height="28" />
				</a4j:commandLink>
			</center>
		</g:column>
		<f:facet name="footer">
			<s:div style="text-align: center;">
				<rich:dataScroller id="ds" maxPages="10" renderIfSinglePage="false"
					immediate="true" />
			</s:div>
		</f:facet>
	</rich:dataTable>
</ui:composition>
